
# QueryDto

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**created** | [**DateTime**](DateTime.md) | When the entity was created |  [optional]
**definition** | [**PivotDefinitionDto**](PivotDefinitionDto.md) | The pivot view&#39;s definition |  [optional]
**dependencies** | [**List&lt;QueryDependencyDto&gt;**](QueryDependencyDto.md) | A structured list of dependencies that this query relies upon. This list is populated by the server from the query text. Each dependency model contains enough information to find the source object. |  [optional]
**description** | **String** | The description of the query |  [optional]
**historyRevision** | **Long** | Historical revision number of this entity |  [optional]
**id** | **String** | The entity&#39;s unique identifier |  [optional]
**lastRun** | [**DateTime**](DateTime.md) | If non-null, indicates the last time this query was run. |  [optional]
**lastRunBy** | **String** | If non-null, indicates the last user that ran the query. |  [optional]
**name** | **String** | The name of the query |  [optional]
**parameters** | [**List&lt;QueryParameterDto&gt;**](QueryParameterDto.md) | The query parameters |  [optional]
**parentId** | **String** | If non-null, indicates the parent of this entity. Must be modified through the folder api. |  [optional]
**primaryQueryResultId** | **String** | The identifier of the primary query result |  [optional]
**queryText** | **String** | Max size is 30000 characters.  Is required.  Must be a valid DML statement. | 
**temporary** | **Boolean** | Denotes if this query is meant to be temporary.  Default is false. |  [optional]
**type** | **String** | This field exists for backwards compatibility only and will always be an empty string. |  [optional]
**updated** | [**DateTime**](DateTime.md) | When the entity was last updated |  [optional]
**userId** | **String** | The owner of the entity |  [optional]
**version** | **Long** | The version of the current representation of the entity |  [optional]



