
# ColumnDto

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**alias** | **String** | Optional alias, may be at most 255 characters in length |  [optional]
**description** | **String** | May be at most 255 characters in length |  [optional]
**metadata** | **Map&lt;String, Object&gt;** | Optional type metadata. Current allowed parameters are: &#39;formatString&#39; allows users to define their own Java8 datetime format string.&#39;numberFormat&#39; allows parsing of alternative decimal formats such as 1.000,00 |  [optional]
**mode** | [**ModeEnum**](#ModeEnum) | This property is for future use, currently always set to nullable |  [optional]
**name** | **String** | May be at most 100 characters in length | 
**type** | [**TypeEnum**](#TypeEnum) | The type of column |  [optional]


<a name="ModeEnum"></a>
## Enum: ModeEnum
Name | Value
---- | -----
NULLABLE | &quot;nullable&quot;
REQUIRED | &quot;required&quot;
REPEATED | &quot;repeated&quot;


<a name="TypeEnum"></a>
## Enum: TypeEnum
Name | Value
---- | -----
STRING | &quot;string&quot;
BYTES | &quot;bytes&quot;
INTEGER | &quot;integer&quot;
FLOAT | &quot;float&quot;
BOOLEAN | &quot;boolean&quot;
TIMESTAMP | &quot;timestamp&quot;
DATE | &quot;date&quot;
TIME | &quot;time&quot;
DATETIME | &quot;datetime&quot;
GLOBAL_PARAMETER | &quot;global_parameter&quot;
NESTED_QUERY_PARAMETER | &quot;nested_query_parameter&quot;



