
# PivotViewDefinitionValueDto

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**active** | **Boolean** |  | 
**aggregation** | [**AggregationEnum**](#AggregationEnum) | The aggregation type to apply to the pivot view value | 
**columnType** | [**ColumnTypeEnum**](#ColumnTypeEnum) | The column type. |  [optional]
**name** | **String** | Name of the pivot view value. The maximum size is 255 characters. | 


<a name="AggregationEnum"></a>
## Enum: AggregationEnum
Name | Value
---- | -----
SUM | &quot;sum&quot;
COUNT | &quot;count&quot;
DISTINCTCOUNT | &quot;distinctcount&quot;
AVERAGE | &quot;average&quot;
MEDIAN | &quot;median&quot;
PRODUCT | &quot;product&quot;
MIN | &quot;min&quot;
MAX | &quot;max&quot;
PERCENT | &quot;percent&quot;
PERCENTOFCOLUMN | &quot;percentofcolumn&quot;
PERCENTOFROW | &quot;percentofrow&quot;
DIFFERENCE | &quot;difference&quot;
PERCENTDIFFERENCE | &quot;percentdifference&quot;
RUNNINGTOTALS | &quot;runningtotals&quot;
STDEVP | &quot;stdevp&quot;
STDEVS | &quot;stdevs&quot;


<a name="ColumnTypeEnum"></a>
## Enum: ColumnTypeEnum
Name | Value
---- | -----
INTEGER | &quot;integer&quot;
NUMBER | &quot;number&quot;
BOOLEAN | &quot;boolean&quot;
TIMESTAMP | &quot;timestamp&quot;
DATE | &quot;date&quot;
STRING | &quot;string&quot;
FLOAT | &quot;float&quot;



