
# QueryParameterDto

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**alias** | **String** | The alias of the query parameter, used to avoid name collisions for nested query parameter references |  [optional]
**choices** | **List&lt;Object&gt;** | If the query parameter is of type select, this is a list of possible choices. This  is read only and is for listing and viewing reports to help the user. |  [optional]
**id** | **String** | The entity&#39;s unique identifier, set if it is a reference kind. |  [optional]
**label** | **String** | The label for the query parameter |  [optional]
**mode** | [**ModeEnum**](#ModeEnum) | The mode of the query parameter |  [optional]
**name** | **String** | The name of the query parameter |  [optional]
**overridable** | **Boolean** | Whether the parameter can be overridden, defaults to true. |  [optional]
**reference** | **Object** | The hydrated reference object |  [optional]
**selectListId** | **String** | If mode is select, this must be populated and is a reference to a select list from which choices will be derived. |  [optional]
**type** | [**TypeEnum**](#TypeEnum) | The type of the query parameter |  [optional]
**value** | **Object** | The value of the query parameter |  [optional]


<a name="ModeEnum"></a>
## Enum: ModeEnum
Name | Value
---- | -----
SCALAR | &quot;scalar&quot;
SINGLESELECT | &quot;singleSelect&quot;
MULTISELECT | &quot;multiSelect&quot;
REFERENCE | &quot;reference&quot;


<a name="TypeEnum"></a>
## Enum: TypeEnum
Name | Value
---- | -----
STRING | &quot;string&quot;
BYTES | &quot;bytes&quot;
INTEGER | &quot;integer&quot;
FLOAT | &quot;float&quot;
BOOLEAN | &quot;boolean&quot;
TIMESTAMP | &quot;timestamp&quot;
DATE | &quot;date&quot;
TIME | &quot;time&quot;
DATETIME | &quot;datetime&quot;
GLOBAL_PARAMETER | &quot;global_parameter&quot;
NESTED_QUERY_PARAMETER | &quot;nested_query_parameter&quot;



